<?PHP

ini_set('session.use_trans_sid', false); //Hides the PHP Session ID in the URLs

session_start();

ob_start();

//Name: Wonderful Wiki

//Author: Adam Boutcher



//Grab the customisations

require "config/config.php";



//set timezone

if (phpversion() >= 5)

{	

	if (isset($_SESSION['userid']))

	{

		require "mods/gettime.php";

		$newtime = gettimezone($_SESSION['userid']);

		date_default_timezone_set($newtime);

	}

	else

	{

	date_default_timezone_set($CONFIG['timezone']);

	}

}



$errorcode = $_GET['e'];



if($errorcode == 400)

{

$ErrorType = "Error 400, Bad Request";

header("HTTP/1.1 400 Bad Request");

}

elseif($errorcode == 401)

{

$ErrorType = "Error 401, Unauthorized";

header("HTTP/1.1 401 Unauthorized");

}

elseif($errorcode == 403)

{

$ErrorType = "Error 403, Forbidden";

header("HTTP/1.1 403 Forbidden");

}

elseif($errorcode == 404)

{

$ErrorType = "Error 404, Page Not Found";

header("HTTP/1.1 404 Not Found");

}

else

{

$ErrorType = "Unknown Error (500, Internal Server Error)";

header("HTTP/1.1 500 Internal Server Error");

}



//Make the HTML

require'inc/html_headers.inc';

require'inc/body_start.inc';



?>

<div style="float: left; width:50%;"><img src="images/error.png" alt="Crying Larry" /><br/><br/><br/></div>

<div>

<h1><?PHP echo $ErrorType; ?></h1><br/>

<p>Something has gone wrong, please try again.</p>

<p>Please visit the home page by clicking <a href="index.php"/>here</a>.</p>

</div>

			<br/>

			<br/>

			<div class="date"><?php if(isset($filename)){?>

				Last Edited: <em><?PHP echo date('l jS F Y (g:i a)', filemtime($filename)); ?> <?php if ((isset($_GET['wiki']))||(isset($_GET['tbk']))||(isset($_GET['edit']))) {echo "by ".ucfirst($article_usr);}?></em>

				<?PHP } ?><br/></div>

		</div>

		<div class="sidenav"><?PHP 

		if(isset($_GET['wiki']))

		{require'inc/vmenu_wiki.inc';}

		else

		{require'inc/vmenu_home.inc';}?></div>

		<div class="clearer"><span></span></div>

	</div>

</div>

<div class="footer"><?PHP require'inc/footer.inc'; ?></div>

</body>

</html>