<?PHP

ini_set('session.use_trans_sid', false); //Hides the PHP Session ID in the URLs

session_start();

ob_start();



require 'mods/getarticle.php';

require "config/config.php";



//set timezone

if (phpversion() >= 5)

{	

	if (isset($_SESSION['userid']))

	{

		require "mods/gettime.php";

		$newtime = gettimezone($_SESSION['userid']);

		date_default_timezone_set($newtime);

	}

	else

	{

	date_default_timezone_set($CONFIG['timezone']);

	}

	

	//Fix Wiki Internal Tags i.e. Wiki: or System: etc

$int_tags = array("Wiki:", "System:", "Testing:", "tou");

$ext_tags = array("Wiki: ", "System: ", "Testing: ", "Terms of Use");

$article_title = str_ireplace($int_tags, $ext_tags, $_GET['article']);



}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"

	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<link rel="icon" href="./favicon.ico" type="image/x-icon" />

<link rel="shortcut icon" href="./favicon.ico" type="image/x-icon" /> 

<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />

<meta name="description" content="Wonderful Wiki"/>

<meta name="keywords" content="Wiki"/> 

<meta name="author" content="Adam Boutcher, Adam Boutcher"/> 

<style type="text/css">

.redtext {

	color: #FF0000;

}

</style>

<title>Wonderful Wiki: Printable - <?PHP echo ucfirst($article_title); 



if (isset($_GET['ver']))

	{

	echo " (Version: ".$_GET['ver'].")";

	}?></title>

</head><body>

<?PHP



	$article_id = getarticleid(strtolower($_GET['article']));

	$article_Main_Link = getarticletitle($article_id);

	if (!isset($_GET['ver']))

	{

	$article_mod = getartdate($article_id);

	$article_loc = getarticle($article_id,$article_mod);

	}

	else

	{

	$article_mod = $_GET['ver'];

	$article_loc = getarticle($article_id,$article_mod);

	}



?>

<h1><img src="images/larry.png" alt="LarryTheCow" /><a href="http://wiki.uni.aboutcher.co.uk">Wonderful Wiki</a></h1>

<em>&hellip;a new simple wiki created by Adam Boutcher.</em>

<?PHP

if ($_GET['article'] == "")

{

echo "<h1>Article Invalid</h1><p>No article selected</p><br/><p class=\"redtext\">Returning to index.</p>";

header("Refresh: 3; URL=index.php?");

ob_flush();

}

else

{

?>



<h1><?php echo ucfirst($article_title); ?></h1>

<?PHP

if (isset($_GET['ver']))

	{

	echo "<small> (Version: ".$_GET['ver'].")</small>";

	}

?>

<p>

<?php 

//check lockout

$lock = getarticlelock($article_id);



require 'mods/convert.php';

$content = getcontent($article_loc);

require 'mods/markup.php';

$article_content = wikimarkup($content);

echo $article_content;

$filename = $article_loc;

}

?>

</p>

<br/><br/>

<a href="index.php?wiki=<?PHP echo $_GET['article']; ?>">Return to article</a>

<br/>

&copy; 2010 <a href="http://<?PHP echo $CONFIG['site_link']; ?>"><?PHP echo $CONFIG['site_owner']; ?></a> - <?php echo "http://".$CONFIG['wiki_home'];?>

</body>

</html>