<?PHP

ini_set('session.use_trans_sid', false); //Hides the PHP Session ID in the URLs

session_start();

ob_start();

//Name: Wonderful Wiki

//Author: Adam Boutcher



//Grab the customisations

require "config/config.php";



//set timezone

if (phpversion() >= 5)

{	

	if (isset($_SESSION['userid']))

	{

		require "mods/gettime.php";

		$newtime = gettimezone($_SESSION['userid']);

		date_default_timezone_set($newtime);

	}

	else

	{

	date_default_timezone_set($CONFIG['timezone']);

	}

}



//Fix Wiki Internal Tags i.e. Wiki: or System: etc

$int_tags = array("Wiki:", "System:", "Testing:");

$ext_tags = array("Wiki: ", "", "");



if ((isset($_GET['pass']))||(isset($_GET['sec']))||(isset($_GET['reset']))||(isset($_GET['ban']))||(isset($_GET['del']))||(isset($_GET['unact']))||(isset($_GET['email']))||(isset($_GET['elevate']))||(isset($_GET['forgot']))||(isset($_GET['timez'])))

{



}

else

{

header("HTTP/1.0 404 Not Found");

header("Location:index.php");

}



//Make the HTML

require'inc/html_headers.inc';

require'inc/body_start.inc';



	if (isset($_GET['pass']))

	{

	require 'inc-user/pass.user';

	}

	elseif (isset($_GET['sec']))

	{

	require 'inc-user/sec.user';

	}

	elseif (isset($_GET['reset']))

	{

	require 'inc-user/reset.user';

	}

	elseif (isset($_GET['ban']))

	{

	require 'inc-user/ban.user';

	}

	elseif (isset($_GET['del']))

	{

	//require 'inc-user/del.user';

	echo "Feature not implimented in this build";

	}

	elseif (isset($_GET['unact']))

	{

	//require 'inc-user/unact.user';

	echo "Feature not implimented in this build";

	}

	elseif (isset($_GET['email']))

	{

	require 'inc-user/email.user';

	}

	elseif (isset($_GET['elevate']))

	{

	//require 'inc-user/elevate.user';

	echo "Feature not implimented in this build";

	}

	elseif (isset($_GET['forgot']))

	{

	require 'inc-user/forgot.user';

	}

	elseif (isset($_GET['timez']))

	{

	require 'inc-user/timez.user';

	}

	else

	{

	}



?>

<br/>

			<br/>

			<div class="date"><?php if(isset($filename)){?>

				Last Edited: <em><?PHP echo date('l jS F Y (g:i a)', filemtime($filename)); ?> <?php if ((isset($_GET['wiki']))||(isset($_GET['tbk']))||(isset($_GET['edit']))) {echo "by ".ucfirst($article_usr);}?></em>

				<?PHP } ?></div>

		</div>

		<div class="sidenav"><?PHP 

		if(isset($_GET['wiki']))

		{require'inc/vmenu_wiki.inc';}

		else

		{require'inc/vmenu_home.inc';}?></div>

		<div class="clearer"><span></span></div>

	</div>

</div>

<div class="footer"><?PHP require'inc/footer.inc'; ?></div>

</body>

</html>