<?PHP

ini_set('session.use_trans_sid', false); //Hides the PHP Session ID in the URLs

session_start();

ob_start();

//Name: Wonderful Wiki

//Author: Adam Boutcher



//Grab the customisations

require "config/config.php";



//set timezone

if (phpversion() >= 5)

{	

	if (isset($_SESSION['userid']))

	{

		require "mods/gettime.php";

		$newtime = gettimezone($_SESSION['userid']);

		date_default_timezone_set($newtime);

	}

	else

	{

	date_default_timezone_set($CONFIG['timezone']);

	}

}



if (isset($_GET['save-edit']))

{

require 'mods/getarticle.php';

$article_id = getarticleid(strtolower($_SESSION['articlename']));

}

elseif (isset($_GET['save-new']))

{

require 'mods/getarticle.php';

}

elseif (isset($_GET['del']))

{

require 'mods/getarticle.php';

}

elseif (isset($_GET['opt1']))

{

}

elseif (isset($_GET['lock-art']))

{

require 'mods/getarticle.php';

}

elseif (isset($_GET['unl-art']))

{

require 'mods/getarticle.php';

}

elseif (isset($_GET['stray']))

{

}

elseif (isset($_GET['deldead']))

{

}

else

{

header("HTTP/1.0 404 Not Found");

header("Location:index.php");

}



//Make the HTML

require'inc/html_headers.inc';

require'inc/body_start.inc';



	if (isset($_GET['save-edit']))

	{

	require 'inc-save/edit.save';

	}

	elseif (isset($_GET['save-new']))

	{

	require 'inc-save/new.save';

	}

	elseif (isset($_GET['del']))

	{

	require 'inc-save/delete.save';

	}

	elseif (isset($_GET['opt1']))

	{

	require 'inc-save/opt.save';

	}

	elseif (isset($_GET['lock-art']))

	{

	require 'inc-save/lock.save';

	}

	elseif (isset($_GET['unl-art']))

	{

	require 'inc-save/unlock.save';

	}

	elseif (isset($_GET['stray']))

	{

	require 'inc-save/delstray.save';

	}

	elseif (isset($_GET['deldead']))

	{

	require 'inc-save/deldead.save';

	}

	else

	{

	}



?>

<br/>

			<br/>

			<div class="date"><?php if(isset($filename)){?>

				Last Edited: <em><?PHP echo date('l jS F Y (g:i a)', filemtime($filename)); ?> <?php if ((isset($_GET['wiki']))||(isset($_GET['tbk']))||(isset($_GET['edit']))) {echo "by ".ucfirst($article_usr);}?></em>

				<?PHP } ?></div>

		</div>

		<div class="sidenav"><?PHP 

		if(isset($_GET['wiki']))

		{require'inc/vmenu_wiki.inc';}

		else

		{require'inc/vmenu_home.inc';}?></div>

		<div class="clearer"><span></span></div>

	</div>

</div>

<div class="footer"><?PHP require'inc/footer.inc'; ?></div>

</body>

</html>