<?PHP

ini_set('session.use_trans_sid', false); //Hides the PHP Session ID in the URLs

session_start();

ob_start();

require "config/config.php";

require'inc/html_headers.inc';

require'inc/body_start.inc';

?>

<h1><?PHP echo $CONFIG['site_name']; ?> Article Markup&hellip;</h1>

			<div class="descr">&hellip;Markup that is enabled in <?PHP echo $CONFIG['site_name']; ?></div><br/><p>

			<a name="top"></a>

			<?PHP

	if($CONFIG['article_html'] === true)

	{

		echo "<a href=\"#html\">HTML</a> is allowed.<br/>";

	}

	else

	{

	}

	if($CONFIG['article_bbcode'] === true)

	{

		echo "Basic <a href=\"#bbc\">BBCode</a> is allowed.<br/>";

	}

	else

	{

	}

		echo $CONFIG['site_name']." mark-up is allowed.";

	?>

	

	<h1><?PHP echo $CONFIG['site_name']; ?> Markup: <a name="site"></a></h1><small>(<a href="#top">Top</a> or <a href="JavaScript:window.close()">Close</a>)</small>

	<p><?PHP echo $CONFIG['site_name']; ?> Markup is a custom markup that closely resembles the wikimedia markup, i.e. the markup used on Wikipedia, Wikileaks and site that are powered by WikiMedia's software. This section is to help explain how to create an article using this markup.</p>

	<!--Full Wiki Markup listing-->

	<p><table cellspacing="2" cellpadding="5">

	<tr><th>Description</th><th>&nbsp;</th><th>Markup Code</th><th>&nbsp;</th><th>Outcome</th></tr>

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td><em>&nbsp;</em></td>

	<tr><td>Italic Text</td><td>&nbsp;</td><td>''text''</td><td>&nbsp;</td><td><em>text</em></td>

	<tr><td>Bold Text</td><td>&nbsp;</td><td>'''text'''</td><td>&nbsp;</td><td><strong>text</strong></td>

	<tr><td>Bold &amp; Italic</td><td>&nbsp;</td><td>'''''text'''''</td><td>&nbsp;</td><td><em><strong>text</strong></em></td>

	<tr><td>Strikethrough</td><td>&nbsp;</td><td>~text~</td><td>&nbsp;</td><td><strike>text</strike></td>

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td><em>&nbsp;</em></td>

	<tr><td>Heading 1</td><td>&nbsp;</td><td>==Title1==</td><td>&nbsp;</td><td><a name="Title1"></a><h2>Title1</h2></td>

	<tr><td>Heading 2</td><td>&nbsp;</td><td>===Title2===</td><td>&nbsp;</td><td><h3>Title2</h3></td>

	<tr><td>Heading 3</td><td>&nbsp;</td><td>===Title3===</td><td>&nbsp;</td><td><h4>Title2</h4></td>

	<tr><td>Heading 4</td><td>&nbsp;</td><td>====Title4====</td><td>&nbsp;</td><td><h5>Title2</h5></td>

	<tr><td>Heading 5</td><td>&nbsp;</td><td>=====Title5=====</td><td>&nbsp;</td><td><h6>Title2</h6></td>

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>

	<tr><td>Start List</td><td>&nbsp;</td><td>#ol_start</td><td>&nbsp;</td><td>Non Printing (nessesary)</td>

	<tr><td>End List</td><td>&nbsp;</td><td>#ol_stop</td><td>&nbsp;</td><td>Non Printing (nessesary)</td>

	<tr><td>Start Bullets</td><td>&nbsp;</td><td>#ul_start</td><td>&nbsp;</td><td>Non Printing (nessesary)</td>

	<tr><td>End Bullets</td><td>&nbsp;</td><td>#ul_stop</td><td>&nbsp;</td><td>Non Printing (nessesary)</td>

	<tr><td>Bullet / List item</td><td>&nbsp;</td><td>##ITEM##</td><td>&nbsp;</td><td><ol><li>ITEM</li></ol><ul><li>ITEM</li></ul></td>

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>

	<tr><td>Full List Code</td><td>&nbsp;</td><td>#ol_start<br/>##ITEM1##<br/>##ITEM2##<br/>#ol_stop</td><td>&nbsp;</td><td><ol><li>ITEM1</li><li>ITEM2</li></ol></td>

	<tr><td>Full Bullet Code</td><td>&nbsp;</td><td>#ul_start<br/>##ITEM1##<br/>##ITEM2##<br/>#ul_stop</td><td>&nbsp;</td><td><ul><li>ITEM1</li><li>ITEM2</li></ul></td>

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>

	<tr><td>Indents</td><td>&nbsp;</td><td>::Text</td><td>&nbsp;</td><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Text</td>

	

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>

	<tr><td>Table start</td><td>&nbsp;</td><td>{|</td><td>&nbsp;</td><td>Non Printing (nessesary)</td>

	<tr><td>Table End</td><td>&nbsp;</td><td>|}</td><td>&nbsp;</td><td>Non Printing (nessesary)</td>

	<tr><td>Table Row Start</td><td>&nbsp;</td><td>|-</td><td>&nbsp;</td><td>Non Printing (nessesary)</td>

	<tr><td>Table Row End</td><td>&nbsp;</td><td>-|</td><td>&nbsp;</td><td>Non Printing (nessesary)</td>

	<tr><td>Table Column</td><td>&nbsp;</td><td>!!Text!!</td><td>&nbsp;</td><td>Text</td>

	<tr><td>Table Column</td><td>&nbsp;</td><td>!!Text!!</td><td>&nbsp;</td><td>Text</td>

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>

	<tr><td>Full Table Code</td><td>&nbsp;</td><td>{|<br/>|-<br/>!!column 1, row 1!!<br/>!!column 2, row 1!!<br/>-|<br/>|-<br/>!!column 1, row 2!!<br/>!!column 2, row 2!!<br/>-|<br/>|}</td><td>&nbsp;</td><td><br/><table><tr>

<td>column 1, row 1</td>

<td>column 2, row 1</td>

</tr>

<tr>

<td>column 1, row 2</td>

<td>column 2, row 2</td>

</tr>

</table></td>



	

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td><em>&nbsp;</em></td>

	<tr><td>Link to another <?PHP echo $CONFIG['site_name']; ?> page</td><td>&nbsp;</td><td>[[wiki:about]]<br/>[[wiki:about|about wiki]]</td><td>&nbsp;</td><td><a href="index.php?wiki=wiki:about">wiki:about</a><br/><a href="index.php?wiki=wiki:about">about wiki</a></td>

	<tr><td>Link to web page</td><td>&nbsp;</td><td>[http://www.google.co.uk]<br/>[http://www.google.co.uk|Google UK]</td><td>&nbsp;</td><td><a href="http://www.google.co.uk">www.google.co.uk</a><br/><a href="http://www.google.co.uk">Google UK</a></td>

	

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>

	<tr><td>Link MP3 files</td><td>&nbsp;</td><td>[[file:files/song.mp3|Description]]<br/>[[media:file/song.mp3|Description]]</td><td>&nbsp;</td><td><object type="application/x-shockwave-flash" data="mods/player_mp3_mini.swf" width="200" height="20"> <param name="movie" value="mods/player_mp3_mini.swf" /> <param name="bgcolor" value="#0077BF" /> <param name="FlashVars" value="mp3=files/song.mp3&amp;buttoncolor=CC6600&amp;slidercolor=CC6600" /></object><br/><small>Description (<em>mp3</em>)</small></td>

	

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>

	<tr><td>Link Image files (<em>jpg, gif, png,svg and bmp</em>)</td><td>&nbsp;</td><td>[[file:files/larry.png|Description]]<br/>[[image:files/larry.png|Description]]<br/><br/>[[file:files/larry.png|Alt Tag Description|Caption]]<br/>[[image:files/larry.png|Alt Tag Description|Caption]]</td><td>&nbsp;</td><td><img src="files/larry.png" alt="Description" /><br/><small>Description (<em>png</em>)</small><br/><img src="files/larry.png" alt="Alt Tag Description" /><br/><small>Caption (<em>png</em>)</small></td><td></td>





	</table></p>

	<?PHP

	if($CONFIG['article_html'] === true)

	{

?>

	<h1>HTML Markup: <a name="html"></a></h1><small>(<a href="#top">Top</a> or <a href="JavaScript:window.close()">Close</a>)</small>

	<p>This site also has HTML allowed for its markup, this means that you can write your article in applications such as <a href="http://net2.com/nvu/">Nvu</a> or <a href="http://www.w3.org/Amaya/">Amaya</a> and then paste the code into the article edit box. For security reasons, some HTML tags have been disabled.</p>

<?PHP

	}

	else

	{

	}

	if($CONFIG['article_bbcode'] === true)

	{

?>

	<h1>Basic BBcode Markup: <a name="bbc"></a></h1><small>(<a href="#top">Top</a> or <a href="JavaScript:window.close()">Close</a>)</small>

	<p>Finally, we also support some basic BBcode; BBcode has become more and more supported over forum software, so why not a wiki? This means that you can copy a forum tutorial or guide etc straight into <?PHP echo $CONFIG['site_name']; ?> and not have to worry. Some BBcode is not implimented due to incompatablities but this should not hinder many users.</p>

	<p><table cellspacing="2" cellpadding="5">

	<tr><th>Description</th><th>&nbsp;</th><th>Markup Code</th><th>&nbsp;</th><th>Outcome</th></tr>

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>

	<tr><td>Bold</td><td>&nbsp;</td><td>[b]text[/b]</td><td>&nbsp;</td><td><strong>text</strong></td>

	<tr><td>Italics</td><td>&nbsp;</td><td>[i]text[/i]</td><td>&nbsp;</td><td><em>text</em></td>

	<tr><td>Underlined</td><td>&nbsp;</td><td>[u]text[/u]</td><td>&nbsp;</td><td><span style="text-decoration: underline;">text</span></td>

	<tr><td>Strikethrough</td><td>&nbsp;</td><td>[s]text[/s]</td><td>&nbsp;</td><td><strike>text</strike></td>

	<tr><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>

	<tr><td>Image<br/><small><em>Not Recommended</em></small></td><td>&nbsp;</td><td>[img]file/larry.png[/img]</td><td>&nbsp;</td><td><img src="files/larry.png" alt="" /></td>

	<tr><td>URL<br/></td><td>&nbsp;</td><td>[url=http://www.google.co.uk]Google UK[/img]</td><td>&nbsp;</td><td><a href="http://www.google.co.uk">Google UK</a></td>

	

	</table></p>

<?PHP

	}

	else

	{

	}

	?>

			

			

			

</p>

  

  <br/>

			<br/>

		</div>

		<div class="clearer"><span></span></div>

	</div>

</div>

<div class="footer"><?PHP require'inc/footer.inc'; ?></div>

</body>

</html>