<?PHP



function wikimarkup($content)

{



require "config/config.php";

	

	if($CONFIG['article_html'] === true)

	{



		//Function to remove UNWANTED HTML

			function strip_only($str, $tags) {

				if(!is_array($tags)) {

					$tags = (strpos($str, '>') !== false ? explode('>', str_replace('<', '', $tags)) : array($tags));

				if(end($tags) == '') array_pop($tags);

				}

			foreach($tags as $tag) $str = preg_replace('#</?'.$tag.'[^>]*>#is', '', $str);

			return $str;

		}

	$content = strip_only($content, $CONFIG['disabled_tags']);

	$content = str_ireplace("&","&amp;",$content);

	}

		

	

	if($CONFIG['article_bbcode'] === true)

	{

	require "mods/bbcode.php";

	$content = bbcode($content);

	}

	

	if(($CONFIG['article_html'] === false) && ($CONFIG['article_bbcode'] === false))

	{

	$content = strip_tags($content);

	$content = htmlspecialchars($content, ENT_QUOTES);

	}

	

	if($CONFIG['article_legacy'] === true)

	{

	//Legacy markup allowed in WonderfulWiki

$wikimarkup = array(

"{b}",

"{/b}",

"{i}",

"{/i}",

"{line}",

"\n",

"{url}",

"{label}",

"{/label}{/url}",

"{title}",

"{/title}",

"{img}",

"{desc}",

"{/desc}{/img}",

"{break}", //Left in for pre-legacy posts (pre-release posts)

"\\\"", //fix php's excaping stuff

"\\'",

"\\\\",

);



//HTML to the WW Markup

$htmlmarkup = array(

"<strong>",

"</strong>",

"<em>",

"</em>",

"<hr/>",

"<br/>",

"<a href=\"",

"\">",

"</a>",

"<h2>",

"</h2>",

"<img src=\"",

"\" alt=\"",

"\"/>",

"<br/>",

"\"",

"'",

"\\",

);

	$content = str_ireplace($wikimarkup, $htmlmarkup, $content);

	}

	

require "mods/wikimarkup.php";

	$content = wikicode($content);







//remove whitespace

$content = preg_replace('/\s\s+/', ' ', $content);



return $content;

}



function editmarkup($content)

{



require "config/config.php";





	if($CONFIG['article_html'] === true)

	{

		//Function to remove UNWANTED HTML

			function strip_only($str, $tags) {

				if(!is_array($tags)) {

					$tags = (strpos($str, '>') !== false ? explode('>', str_replace('<', '', $tags)) : array($tags));

				if(end($tags) == '') array_pop($tags);

				}

			foreach($tags as $tag) $str = preg_replace('#</?'.$tag.'[^>]*>#is', '', $str);

			return $str;

		}

	$content = strip_only($content, $CONFIG['disabled_tags']);

	$content = str_ireplace("&","&amp;",$content);

	}

	else

	{

	$content = strip_tags($content);

	$content = htmlspecialchars($content, ENT_QUOTES);

	}





if ($CONFIG['article_legacy'] === true)

{

//Legacy markup allowed in WonderfulWiki

$wikimarkup = array(

"{break}", //Left in for pre-legacy posts (pre-release posts)

"\\\"", //fix php's excaping stuff

"\\'",

"\\\\",

);



//HTML to the WW Markup

$htmlmarkup = array(

"\n",

"\"",

"'",

"\\",

);



$content = str_ireplace($wikimarkup, $htmlmarkup, $content);

}

else

{

//Legacy markup allowed in WonderfulWiki

$wikimarkup = array(

"{break}", //Left in for pre-legacy posts (pre-release posts)

"{b}",

"{/b}",

"{i}",

"{/i}",

"{url}",

"{label}",

"{/label}{/url}",

"{title}",

"{/title}",

"{img}",

"{desc}",

"{/desc}{/img}",

"\\\"", //fix php's excaping stuff

"\\'",

"\\\\",

);



//HTML to the WW Markup

$htmlmarkup = array(

"\n",

"''",

"''",

"'''",

"'''",

"[",

"|",

"]",

"==",

"==",

"[[image:",

"|",

"]]",

"\"",

"'",

"\\",

);



$content = str_ireplace($wikimarkup, $htmlmarkup, $content);

}



return $content;

}



?>