<?PHP



// Code adapted from the BBcode at  http://www.pixel2life.com/forums/lofiversion/index.php/t10659.html



function wikicode($text) {

        





    $tags = array(

    

        "#'''(.*?)'''#si" => '<em>\\1</em>',

        "#\'\'(.*?)\'\'#si" => '<strong>\\1</strong>',

        "#\'~\'(.*?)\'~\'#si" => '<strike>\\1</strike>',

        

        //images

        "#\[\[file:(.*?)\.(jpg|jpeg|png|gif|svg|bmp)\|(.*?)\|(.*?)\]\]#si" => '<div style="float: right;text-align: center;"><img src="\\1" alt="\\3" /><br/><small>\\4 (<em>\\2</em>)</small></div>',

        "#\[\[file:(.*?)\.(jpg|jpeg|png|gif|svg|bmp)\|(.*?).\\]\]#si" => '<div style="float: right;text-align: center;"><img src="\\1" alt="\\3" /><br/><small>\\3 (<em>\\2</em>)</small></div>',

        "#\[\[image:(.*?)\.(jpg|jpeg|png|gif|svg|bmp)\|(.*?)\|(.*?)\]\]#si" => '<div style="float: right;text-align: center;"><img src="\\1" alt="\\3" /><br/><small>\\4 (<em>\\2</em>)</small></div>',

        "#\[\[image:(.*?)\.(jpg|jpeg|png|gif|svg|bmp)\|(.*?)\\]\]#si" => '<div style="float: right;text-align: center;"><img src="\\1" alt="\\3" /><br/><small>\\3 (<em>\\2</em>)</small></div>',

        

        //music

        "#\[\[file:(.*?)\.(mp3)\|(.*?)\]\]#si" => '<div style="float: right;text-align: center;"><object type="application/x-shockwave-flash" data="mods/player_mp3_mini.swf" width="200" height="20">

							<param name="movie" value="mods/player_mp3_mini.swf" />

							<param name="bgcolor" value="#0077BF" />

							<param name="FlashVars" value="mp3=\\1.mp3&amp;buttoncolor=CC6600&amp;slidercolor=CC6600" />

						</object><br/><small>\\3 (<em>\\2</em>)</small></div>',

        "#\[\[media:(.*?)\.(mp3)\|(.*?)\\]\]#si" => '<div style="float: right;text-align: center;"><object type="application/x-shockwave-flash" data="mods/player_mp3_mini.swf" width="200" height="20">

							<param name="movie" value="mods/player_mp3_mini.swf" />

							<param name="bgcolor" value="#0077BF" />

							<param name="FlashVars" value="mp3=\\1.mp3&amp;buttoncolor=CC6600&amp;slidercolor=CC6600" />

						</object><br/><small>\\3 (<em>\\2</em>)</small></div>',



        //Internal Links

        "#\[\[(.*?)\|(.*?)\]\]#si" => '<a href="index.php?wiki=\\1">\\2</a>',

        "#\[\[(.*?)\]\]#si" => '<a href="index.php?wiki=\\1">\\1</a>',

        

        //External Links

        "#\[http://(.*?)\|(.*?)\]#si" => '<a href="http://\\1">\\2</a>',

        "#\[http://(.*?)\]#si" => '<a href="http://\\1">\\1</a>',

        

        //Headings

        '#======(.*?)======#si' => '<h6>\\1</h6>',

        '#=====(.*?)=====#si' => '<h5>\\1</h5>',

        '#====(.*?)====#si' => '<h4>\\1</h4>',

        '#===(.*?)===#si' => '<h3>\\1</h3>',

        '#==(.*?)==#si' => '<a name="\\1"></a><h2>\\1</h2>',



		//Bullet Points & Ordered Lists

        '#\#ol_start#si' => '<ol>',

        '#\#ol_stop#si' => '</ol>',

        '#\#ul_start#si' => '<ul>',

        '#\#ul_stop#si' => '</ul>',

        '#\#\#(.*?)\#\##si' => '<li>\\1</li>',

        

        //Indents

        '#\::(.*?)#si' => '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;',

        

        //Table

        '#\{\|#si' => '<table>',

        '#\|\}#si' => '</table>',

        '#\|-#si' => '<tr>',

        '#-\|#si' => '</tr>',

        '#!!(.*?)!!#si' => '<td>\\1</td>',



    );



    foreach ($tags AS $search => $replace)

    {

        $text = preg_replace($search, $replace, $text);

    }

    return $text;

}



?>